# Uses of Class
it.tdlight.jni.TdApi.PaymentProvider

## Uses of TdApi.PaymentProvider in it.tdlight.jni

Subclasses of TdApi.PaymentProvider in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.PaymentProviderOther`
Some other payment provider, for which a web payment form must be shown.
`static final class`
`TdApi.PaymentProviderSmartGlocal`
Smart Glocal payment provider.
`static final class`
`TdApi.PaymentProviderStripe`
Stripe payment provider.
Fields in it.tdlight.jni declared as TdApi.PaymentProvider
Modifier and Type
Field
Description
`TdApi.PaymentProvider`
TdApi.PaymentForm.`paymentProvider`
Information about the payment provider.
Constructors in it.tdlight.jni with parameters of type TdApi.PaymentProvider
Modifier
Constructor
Description
``
`PaymentForm(long id, TdApi.Invoice invoice, long sellerBotUserId, long paymentProviderUserId, TdApi.PaymentProvider paymentProvider, TdApi.PaymentOption[] additionalPaymentOptions, TdApi.OrderInfo savedOrderInfo, TdApi.SavedCredentials[] savedCredentials, boolean canSaveCredentials, boolean needPassword, String productTitle, TdApi.FormattedText productDescription, TdApi.Photo productPhoto)`
Contains information about an invoice payment form.